package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxWeappCodeStatus;
import com.iformall.domain.vo.WxWeappCodeStatusVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface WxWeappCodeStatusMapper extends CommonMapper<WxWeappCodeStatus, Long> {

	List<WxWeappCodeStatus> findList(WxWeappCodeStatus weappCodeStatus);

    List<WxWeappCodeStatusVo> findVoList(WxWeappCodeStatusVo weappCodeStatusVo);
	
	List<Map> findUserVersions(@Param(value = "type") Integer type);

	void updateStatus(WxWeappCodeStatus weappCodeStatus);

	
	
	
}
